Переполнение буфера в библиотеке Winbind в Samba

Дата публикации:
08.02.2007
Дата изменения:
08.02.2007
Всего просмотров:
1186
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная сеть
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Samba 3.x
Уязвимые версии: Samba 3.0.21 - 3.0.23d на Sun Solaris

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в функциях "gethostbyname()" и "getipnodebyname()" в библиотеке "nss_winbind.so.1". Удаленный пользователь может с помощью слишком длиной строки, переданной интерфейсу NSS, вызвать переполнение буфера и выполнить произвольный код на целевой системе. Для успешной эксплуатации уязвимости должен быть запущен демон winbindd, сконфигурированный на использование библиотеки "nss_winbind.so.1".

URL производителя: www.samba.org

Решение: Установите последнюю версию (3.0.24) с сайта производителя.

Ссылки: CVE-2007-0453: Buffer overrun in NSS host lookup Winbind library on Solaris

или введите имя

CAPTCHA